1. Inventory Management
Parrot External API
  • Home
  • Changelog
  • Authentication and Usage
  • Endpoints
    • Inventory Management
      • List Suppliers
        GET
      • List Supplies
        GET
      • List Supply Events
        GET
    • Orders
      • List Orders
      • V1 - List Order Items
      • V2 - List Order Items
      • List Product Types
    • Discounts
      • List Discounts
      • List Discount Usages
    • List All Stores
      GET
    • List Order Invoices
      GET
    • List Order Payments
      GET
    • List Cashier Sessions
      GET
    • List Store Users
      GET
  1. Inventory Management

List Supply Events

Testing
GET
/v1/supply-events
Retrieves inventory supply events like purchases, transfers, and waste (merma)
Note: startTimestamp and endTimestamp must be at most 48 hours apart.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/supply-events?startTimestamp=2024-03-27T19:00:00-06:00&endTimestamp=2024-03-28T19:00:00-06:00&pageSize=3&page=1&eventTypes=PURCHASE&eventTypes=PURCHASE_XML&eventTypes=TRANSFER&eventTypes=LOST' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
Body

Example
{
    "pagination": {
        "next": null,
        "previous": null,
        "count": 1,
        "current": 0,
        "pageSize": 100
    },
    "data": [
        {
            "eventUuid": "56e4b5ef-ac0d-49a2-8dca-197ffdadf057",
            "eventType": "TRANSFER",
            "createdAt": "2026-01-09 00:10:15.77",
            "createdByUserUuid": "0ef8307f-cb40-4813-89ef-4b294be65284",
            "supplyCenterUuid": "048972ed-f075-4996-97d9-d0ce5c483825",
            "supplyCenterName": "Centro de almacenamiento Tacos David (Gomez Morin)",
            "purchaseData": null,
            "xmlPurchaseData": null,
            "transferData": {
                "originSupplyCenterUuid": "048972ed-f075-4996-97d9-d0ce5c483825",
                "originSupplyCenterName": "Centro de almacenamiento Tacos David (Gomez Morin)",
                "destinationSupplyCenterUuid": "4cd038e1-61e9-42d8-a2d5-ad90f43b133b",
                "destinationSupplyCenterName": "Centro de almacenamiento Tacos David (San Lorenzo)",
                "total": 255.57,
                "supplies": [
                    {
                        "supplyName": "Salsa Poblana, prep",
                        "supplyId": "IN-1743024282890",
                        "presentationUnit": "LITER",
                        "presentationUnitAmount": 14,
                        "amount": 2.8,
                        "price": 13.44,
                        "unitPrice": 67.18
                    },
                    {
                        "supplyName": "Salsa Molcajeteada, Prep",
                        "supplyId": "IN-1741201204051",
                        "presentationUnit": "LITER",
                        "presentationUnitAmount": 42,
                        "amount": 4.2,
                        "price": 2.5,
                        "unitPrice": 24.99
                    },
                    {
                        "supplyName": "Chutney de piña, Prep",
                        "supplyId": "IN-1741417104158",
                        "presentationUnit": "LITER",
                        "presentationUnitAmount": 20,
                        "amount": 2,
                        "price": 16.8,
                        "unitPrice": 168.02
                    },
                    {
                        "supplyName": "Salsa Chiltepin, Prep",
                        "supplyId": "IN-1741195463312",
                        "presentationUnit": "LITER",
                        "presentationUnitAmount": 20,
                        "amount": 2,
                        "price": 6.92,
                        "unitPrice": 69.19
                    },
                    {
                        "supplyName": "Salsa Negroni, Prep",
                        "supplyId": "IN-1741195932182",
                        "presentationUnit": "LITER",
                        "presentationUnitAmount": 20,
                        "amount": 2,
                        "price": 4.85,
                        "unitPrice": 48.54
                    },
                    {
                        "supplyName": "Sirloin",
                        "supplyId": "IN-1732229437370",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 1,
                        "amount": 1.2,
                        "price": 207.11,
                        "unitPrice": 172.59
                    },
                    {
                        "supplyName": "Caldo Base, Prep",
                        "supplyId": "IN-1741161974737",
                        "presentationUnit": "LITER",
                        "presentationUnitAmount": 80,
                        "amount": 5.6,
                        "price": 0.82,
                        "unitPrice": 11.74
                    },
                    {
                        "supplyName": "Filete relleno, Orden",
                        "supplyId": "IN-1741753729945",
                        "presentationUnit": "GRAM",
                        "presentationUnitAmount": 223,
                        "amount": 1115,
                        "price": 0.5,
                        "unitPrice": 0.1
                    },
                    {
                        "supplyName": "Migñon de Camaron, Orden",
                        "supplyId": "IN-1741417453168",
                        "presentationUnit": "GRAM",
                        "presentationUnitAmount": 235,
                        "amount": 705,
                        "price": 0.33,
                        "unitPrice": 0.11
                    },
                    {
                        "supplyName": "Camarones Coco, Orden",
                        "supplyId": "IN-1741416025734",
                        "presentationUnit": "GRAM",
                        "presentationUnitAmount": 558,
                        "amount": 2790,
                        "price": 0.7,
                        "unitPrice": 0.14
                    },
                    {
                        "supplyName": "Camarones Empanizados, Orden",
                        "supplyId": "IN-1741415244819",
                        "presentationUnit": "GRAM",
                        "presentationUnitAmount": 230,
                        "amount": 1150,
                        "price": 0.6,
                        "unitPrice": 0.12
                    },
                    {
                        "supplyName": "Camaron Cobra, Orden",
                        "supplyId": "IN-1741416632251",
                        "presentationUnit": "GRAM",
                        "presentationUnitAmount": 160,
                        "amount": 800,
                        "price": 1,
                        "unitPrice": 0.2
                    }
                ]
            },
            "lostData": null
        },
        {
            "eventUuid": "ae535bc2-5884-4701-a610-cf6556f81caf",
            "eventType": "PURCHASE",
            "createdAt": "2026-01-08 21:58:14.13",
            "createdByUserUuid": "0ef8307f-cb40-4813-89ef-4b294be65284",
            "supplyCenterUuid": "048972ed-f075-4996-97d9-d0ce5c483825",
            "supplyCenterName": "Centro de almacenamiento Tacos David (Gomez Morin)",
            "purchaseData": {
                "supplierUuid": "01871fcc-b6ef-46c5-a5fe-0e0d7c35015e",
                "supplierName": "Eduardo Castro Olvera",
                "total": 124088.6,
                "supplies": [
                    {
                        "supplyName": "Pulpo",
                        "supplyId": "IN-1732229437604",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 20,
                        "amount": 140,
                        "price": 33436.2,
                        "unitPrice": 4776.6
                    },
                    {
                        "supplyName": "Ostion bolsa",
                        "supplyId": "IN-1732229437595",
                        "presentationUnit": "GRAM",
                        "presentationUnitAmount": 50,
                        "amount": 1500,
                        "price": 1500,
                        "unitPrice": 50
                    },
                    {
                        "supplyName": "Ostion en Concha",
                        "supplyId": "IN-1732229437597",
                        "presentationUnit": "UNIT",
                        "presentationUnitAmount": 100,
                        "amount": 600,
                        "price": 4500,
                        "unitPrice": 750
                    },
                    {
                        "supplyName": "Camaron 36/40",
                        "supplyId": "IN-1732229437583",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 1,
                        "amount": 320,
                        "price": 52800,
                        "unitPrice": 165
                    },
                    {
                        "supplyName": "Camaron 16/20",
                        "supplyId": "IN-1732229437582",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 1,
                        "amount": 100,
                        "price": 22500,
                        "unitPrice": 225
                    },
                    {
                        "supplyName": "Filete tilapia 100%ee",
                        "supplyId": "IN-1732229437588",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 1,
                        "amount": 90.8,
                        "price": 9352.4,
                        "unitPrice": 103
                    }
                ]
            },
            "xmlPurchaseData": null,
            "transferData": null,
            "lostData": null
        },
        {
            "eventUuid": "7e50e057-b1cc-4fff-a1ea-6d58987d318b",
            "eventType": "TRANSFER",
            "createdAt": "2026-01-07 20:07:09.987",
            "createdByUserUuid": "0ef8307f-cb40-4813-89ef-4b294be65284",
            "supplyCenterUuid": "048972ed-f075-4996-97d9-d0ce5c483825",
            "supplyCenterName": "Centro de almacenamiento Tacos David (Gomez Morin)",
            "purchaseData": null,
            "xmlPurchaseData": null,
            "transferData": {
                "originSupplyCenterUuid": "048972ed-f075-4996-97d9-d0ce5c483825",
                "originSupplyCenterName": "Centro de almacenamiento Tacos David (Gomez Morin)",
                "destinationSupplyCenterUuid": "4cd038e1-61e9-42d8-a2d5-ad90f43b133b",
                "destinationSupplyCenterName": "Centro de almacenamiento Tacos David (San Lorenzo)",
                "total": 3715.01,
                "supplies": [
                    {
                        "supplyName": "Camarones Empanizados, Orden",
                        "supplyId": "IN-1741415244819",
                        "presentationUnit": "GRAM",
                        "presentationUnitAmount": 230,
                        "amount": 1150,
                        "price": 0.6,
                        "unitPrice": 0.12
                    },
                    {
                        "supplyName": "Pan Hamburguesa Panipostres",
                        "supplyId": "IN-1732229437636",
                        "presentationUnit": "UNIT",
                        "presentationUnitAmount": 1,
                        "amount": 6,
                        "price": 48,
                        "unitPrice": 8
                    },
                    {
                        "supplyName": "Camaron 36/40",
                        "supplyId": "IN-1732229437583",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 1,
                        "amount": 7,
                        "price": 1155,
                        "unitPrice": 165
                    },
                    {
                        "supplyName": "Blanco Filete ",
                        "supplyId": "IN-1765584128128",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 1,
                        "amount": 1,
                        "price": 280,
                        "unitPrice": 280
                    },
                    {
                        "supplyName": "Caldo Base, Prep",
                        "supplyId": "IN-1741161974737",
                        "presentationUnit": "LITER",
                        "presentationUnitAmount": 80,
                        "amount": 10.4,
                        "price": 1.53,
                        "unitPrice": 11.74
                    },
                    {
                        "supplyName": "Salsa Verde Tomatillo, prep",
                        "supplyId": "IN-1743025132321",
                        "presentationUnit": "LITER",
                        "presentationUnitAmount": 15,
                        "amount": 2.1,
                        "price": 3.9,
                        "unitPrice": 27.86
                    },
                    {
                        "supplyName": "Salsa Molcajeteada, Prep",
                        "supplyId": "IN-1741201204051",
                        "presentationUnit": "LITER",
                        "presentationUnitAmount": 42,
                        "amount": 4.2,
                        "price": 2.5,
                        "unitPrice": 24.99
                    },
                    {
                        "supplyName": "Crema Chipotle prep",
                        "supplyId": "IN-1743026012190",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 15,
                        "amount": 2.1,
                        "price": 4.14,
                        "unitPrice": 29.56
                    },
                    {
                        "supplyName": "Filete relleno, Orden",
                        "supplyId": "IN-1741753729945",
                        "presentationUnit": "GRAM",
                        "presentationUnitAmount": 223,
                        "amount": 1115,
                        "price": 0.5,
                        "unitPrice": 0.1
                    },
                    {
                        "supplyName": "Rib eye",
                        "supplyId": "IN-1732229437368",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 1,
                        "amount": 1.2,
                        "price": 902.98,
                        "unitPrice": 752.48
                    },
                    {
                        "supplyName": "Carne Hamburguesa Angus, Prep",
                        "supplyId": "IN-1741752236203",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 1,
                        "amount": 1,
                        "price": 455.09,
                        "unitPrice": 455.09
                    },
                    {
                        "supplyName": "Rockot",
                        "supplyId": "IN-1764018850066",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 1,
                        "amount": 2,
                        "price": 432,
                        "unitPrice": 216
                    },
                    {
                        "supplyName": "Taco gobernador, Prep",
                        "supplyId": "IN-1741201429096",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 3.8,
                        "amount": 2.01,
                        "price": 16.78,
                        "unitPrice": 31.66
                    },
                    {
                        "supplyName": "Filete tilapia 100%ee",
                        "supplyId": "IN-1732229437588",
                        "presentationUnit": "KILOGRAM",
                        "presentationUnitAmount": 1,
                        "amount": 4,
                        "price": 412,
                        "unitPrice": 103
                    }
                ]
            },
            "lostData": null
        }
    ],
    "datetime": "2026-02-08T16:46:45-06:00"
}
Modified at 2026-02-08 22:46:42
Previous
List Supplies
Next
List Orders
Built with